@import url("https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
.container {
  width: 100%;
  height: 100vh;
}
.admin-header {
  width: 100%;
  height: 10vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-inline: 5%;
  background-color: #1f2544;
  border-bottom: 3px solid #fff;
}
.admin-header p {
  font-size: 34px;
  font-weight: 600;
  color: #fff;
}
.action-btns {
  width: fit-content;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.button-60 {
  text-decoration: none;
  align-items: center;
  appearance: none;
  background-color: #fff;
  border: 1px solid #dbdbdb;
  border-radius: 0.375em;
  box-shadow: none;
  box-sizing: border-box;
  color: #363636;
  cursor: pointer;
  display: inline-flex;
  font-family: BlinkMacSystemFont, -apple-system, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica,
    Arial, sans-serif;
  font-size: 1.2rem;
  font-weight: 600;
  height: 2.5em;
  justify-content: center;
  line-height: 1.5;
  padding: calc(0.5em - 1px) 1em;
  position: relative;
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: top;
  white-space: nowrap;
}

.button-60:active {
  border-color: #4a4a4a;
  outline: 0;
}

.button-60:focus {
  border-color: #485fc7;
  outline: 0;
}

.button-60:hover {
  border-color: #b5b5b5;
}

.button-60:focus:not(:active) {
  box-shadow: rgba(72, 95, 199, 0.25) 0 0 0 0.125em;
}

.all-projects {
  width: 100%;
  min-height: 90vh;
  background-color: #c7c8cc;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding-block: 20px;
}

.card {
  width: 300px;
  height: fit-content;
  padding: 10px;
  background-color: #fff;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
.image {
  height: 150px;
  width: 100%;
  border-radius: 10px;
}
.image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
  border-radius: 10px;
}
.project-details {
  width: 100%;
  height: auto;
  text-align: center;
  font-size: 16px;
}
.type {
  margin-top: 5px;
  color: #7f7f7f;
  font-weight: 500;
  text-align: center;
}
.client,
.location {
  text-align: left;
}
.client span,
.location span {
  color: #363636;
  font-weight: 500;
}
i {
  color: #636363;
}

button {
  margin-top: 10px;
  font-size: 17px;
  padding: 0.3em 1.5em;
  border: transparent;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4);
  background: dodgerblue;
  color: white;
  border-radius: 4px;
}
button:hover {
  background: rgb(2, 0, 36);
  background: linear-gradient(
    90deg,
    rgba(30, 144, 255, 1) 0%,
    rgba(0, 212, 255, 1) 100%
  );
}
button:active {
  transform: translate(0em, 0.2em);
}

/* ------- Modal ------- */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}
.close {
  position: absolute;
  top: 5%;
  right: 10%;
  z-index: 5;
  cursor: pointer;
  font-size: 24px;
}
.wrapper {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 430px;
  width: 100%;
  background: #fff;
  padding: 34px;
  border-radius: 6px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}
.wrapper h2 {
  position: relative;
  font-size: 22px;
  font-weight: 600;
  color: #333;
}
.wrapper h2::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 28px;
  border-radius: 12px;
  background: #4070f4;
}
.wrapper form {
  margin-top: 30px;
}
.wrapper form .input-box {
  height: 52px;
  margin: 18px 0;
}
form .input-box input {
  height: 100%;
  width: 100%;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
  font-weight: 400;
  color: #333;
  border: 1.5px solid #c7bebe;
  border-bottom-width: 2.5px;
  border-radius: 6px;
  transition: all 0.3s ease;
}
.input-box input:focus,
.input-box input:valid {
  border-color: #4070f4;
}
form .policy {
  display: flex;
  align-items: center;
}
.input-box.button input {
  color: #fff;
  letter-spacing: 1px;
  border: none;
  background: #4070f4;
  cursor: pointer;
}
.input-box.button input:hover {
  background: #0e4bf1;
}
@media (max-width: 768px) {
  .wrapper {
    width: 90%;
  }
}

@media (max-width: 537px) {
  .admin-header {
    flex-direction: column;
    height: 20vh;
    align-items: flex-start;
  }

  .all-projects {
    min-height: 80vh;
  }
}
